## VOICE Supplementary Service indication VOICE Supplementary Service indication |

## Functions

QmiIndicationVoiceSupplementaryServiceOutput * | qmi_indication_voice_supplementary_service_output_ref ()
void | qmi_indication_voice_supplementary_service_output_unref ()
gboolean | qmi_indication_voice_supplementary_service_output_get_info ()

## Types and Values

| QmiIndicationVoiceSupplementaryServiceOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationVoiceSupplementaryServiceOutput

## Description

## Functions

### qmi_indication_voice_supplementary_service_output_ref ()

    QmiIndicationVoiceSupplementaryServiceOutput *
    qmi_indication_voice_supplementary_service_output_ref
                                   (QmiIndicationVoiceSupplementaryServiceOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationVoiceSupplementaryServiceOutput. |

#### Returns

the new reference to `self` .

Since: 1.30

### qmi_indication_voice_supplementary_service_output_unref ()

    void
    qmi_indication_voice_supplementary_service_output_unref
                                   (QmiIndicationVoiceSupplementaryServiceOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationVoiceSupplementaryServiceOutput. |

Since: 1.30

### qmi_indication_voice_supplementary_service_output_get_info ()

    gboolean
    qmi_indication_voice_supplementary_service_output_get_info
                                   (QmiIndicationVoiceSupplementaryServiceOutput *self,
                                    guint8 *value_info_call_id,
                                    QmiVoiceSupplementaryServiceNotificationType *value_info_notification_type,
                                    GError **error);

Get the 'Info' field from `self` .

#### Parameters

self | a QmiIndicationVoiceSupplementaryServiceOutput. |
value_info_call_id | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_info_notification_type | a placeholder for the output QmiVoiceSupplementaryServiceNotificationType, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

## Types and Values

### QmiIndicationVoiceSupplementaryServiceOutput

    typedef struct _QmiIndicationVoiceSupplementaryServiceOutput QmiIndicationVoiceSupplementaryServiceOutput;

The QmiIndicationVoiceSupplementaryServiceOutput structure contains private data and should only be accessed using the provided API.

Since: 1.30